0

Theme Check Plugin is throwing some errors →

WARNING: fsockopen was found in the file inc/widgets/MCAPI.class.php possible file operations.
Line 2862: $sock = fsockopen('ssl://'.$host, 443, $errno, $errstr, 30);
Line 2864: $sock = fsockopen($host, 80, $errno, $errstr, 30);

reference link → https://github.com/rainlab/mailchimp-plugin/blob/master/vendor/MCAPI.class.php

Is there a function in WordPress to replace this and make it look like WordPress and remove the error w/o making any changes in the theme or website functionality.

  • Why is the theme check scanning your plugins? – fuxia Sep 30 '17 at 0:39
  • It is in the theme. MCAPI.class.php is included in my theme. I am not using that plugin, but just the MCAPI.class.php – The WP Intermediate Sep 30 '17 at 0:55

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.